ESB-2018.0280 - [SUSE] kernel: Multiple vulnerabilities 2018-01-29

Printable version
PGP/GPG verifiable version

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2018.0280
        SUSE Security Update: Security updates for the Linux Kernel
                              29 January 2018

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           kernel
Publisher:         SUSE
Operating System:  SUSE
Impact/Access:     Root Compromise   -- Existing Account
                   Denial of Service -- Existing Account
Resolution:        Patch/Upgrade
CVE Names:         CVE-2017-16939 CVE-2017-15868 CVE-2017-15649

Reference:         ESB-2018.0057
                   ESB-2017.3104
                   ESB-2017.2700

Original Bulletin: 
   https://www.suse.com/support/update/announcement/2018/suse-su-20180233-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180237-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180238-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180239-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180240-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180241-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180242-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180243-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180244-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180245-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180249-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180250-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180251-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180252-1/
   https://www.suse.com/support/update/announcement/2018/suse-su-20180253-1/

Comment: This bulletin contains fifteen (15) SUSE security advisories.

- --------------------------BEGIN INCLUDED TEXT--------------------

   SUSE Security Update: Security update for the Linux Kernel (Live Patch 30 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0233-1
Rating:             important
References:         #1064388 #1064392 
Cross-References:   CVE-2017-15649
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that solves one vulnerability and has one errata
   is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_111 fixes one issue.

   The following security issue was fixed:

   - CVE-2017-15649: net/packet/af_packet.c in the Linux kernel allowed local
     users to gain privileges via crafted system calls that trigger
     mishandling of packet_fanout data structures, because of a race
     condition (involving fanout_add and packet_do_bind) that leads to a
     use-after-free. This fixes the earlier kgraft update, that could have
     caused crashes when trying to exploit this vulnerability after applying
     the kgraft update (bsc#1064392, bsc#1064388).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-155=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_111-default-2-2.1
      kgraft-patch-3_12_61-52_111-xen-2-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15649.html
   https://bugzilla.suse.com/1064388
   https://bugzilla.suse.com/1064392


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 19 for SLE 12 SP1)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0237-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server for SAP 12-SP1
                    SUSE Linux Enterprise Server 12-SP1-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.74-60_64_54 fixes several issues.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c in did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 12-SP1:

      zypper in -t patch SUSE-SLE-SAP-12-SP1-2018-169=1

   - SUSE Linux Enterprise Server 12-SP1-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP1-2018-169=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server for SAP 12-SP1 (x86_64):

      kgraft-patch-3_12_74-60_64_54-default-6-2.1
      kgraft-patch-3_12_74-60_64_54-xen-6-2.1

   - SUSE Linux Enterprise Server 12-SP1-LTSS (x86_64):

      kgraft-patch-3_12_74-60_64_54-default-6-2.1
      kgraft-patch-3_12_74-60_64_54-xen-6-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 16 for SLE 12 SP1)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0238-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server for SAP 12-SP1
                    SUSE Linux Enterprise Server 12-SP1-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.74-60_64_45 fixes several issues.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c in did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 12-SP1:

      zypper in -t patch SUSE-SLE-SAP-12-SP1-2018-167=1

   - SUSE Linux Enterprise Server 12-SP1-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP1-2018-167=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server for SAP 12-SP1 (x86_64):

      kgraft-patch-3_12_74-60_64_45-default-8-2.1
      kgraft-patch-3_12_74-60_64_45-xen-8-2.1

   - SUSE Linux Enterprise Server 12-SP1-LTSS (x86_64):

      kgraft-patch-3_12_74-60_64_45-default-8-2.1
      kgraft-patch-3_12_74-60_64_45-xen-8-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 27 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0239-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_92 fixes one issue.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-160=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_92-default-5-2.1
      kgraft-patch-3_12_61-52_92-xen-5-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 25 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0240-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_86 fixes one issue.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-162=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_86-default-6-2.1
      kgraft-patch-3_12_61-52_86-xen-6-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 24 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0241-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_83 fixes one issue.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-161=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_83-default-6-2.1
      kgraft-patch-3_12_61-52_83-xen-6-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 20 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0242-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_69 fixes one issue.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-164=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_69-default-9-2.1
      kgraft-patch-3_12_61-52_69-xen-9-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 29 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0243-1
Rating:             important
References:         #1071471 
Cross-References:   CVE-2017-15868
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_106 fixes one issue.

   The following security issue was fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-166=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_106-default-3-2.1
      kgraft-patch-3_12_61-52_106-xen-3-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 22 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0244-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_77 fixes one issue.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-163=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_77-default-8-2.1
      kgraft-patch-3_12_61-52_77-xen-8-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 21 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0245-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_72 fixes one issue.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-173=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_72-default-8-2.1
      kgraft-patch-3_12_61-52_72-xen-8-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 23 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0249-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_80 fixes one issue.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-172=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_80-default-7-2.1
      kgraft-patch-3_12_61-52_80-xen-7-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 26 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0250-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_89 fixes one issue.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-159=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_89-default-6-2.1
      kgraft-patch-3_12_61-52_89-xen-6-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 28 for SLE 12)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0251-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server 12-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.61-52_101 fixes one issue.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-2018-165=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server 12-LTSS (x86_64):

      kgraft-patch-3_12_61-52_101-default-3-2.1
      kgraft-patch-3_12_61-52_101-xen-3-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 15 for SLE 12 SP1)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0252-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server for SAP 12-SP1
                    SUSE Linux Enterprise Server 12-SP1-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.74-60_64_40 fixes several issues.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c in did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 12-SP1:

      zypper in -t patch SUSE-SLE-SAP-12-SP1-2018-168=1

   - SUSE Linux Enterprise Server 12-SP1-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP1-2018-168=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server for SAP 12-SP1 (x86_64):

      kgraft-patch-3_12_74-60_64_40-default-8-2.1
      kgraft-patch-3_12_74-60_64_40-xen-8-2.1

   - SUSE Linux Enterprise Server 12-SP1-LTSS (x86_64):

      kgraft-patch-3_12_74-60_64_40-default-8-2.1
      kgraft-patch-3_12_74-60_64_40-xen-8-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


   SUSE Security Update: Security update for the Linux Kernel (Live Patch 17 for SLE 12 SP1)
______________________________________________________________________________

Announcement ID:    SUSE-SU-2018:0253-1
Rating:             important
References:         #1069708 #1071471 
Cross-References:   CVE-2017-15868 CVE-2017-16939
Affected Products:
                    SUSE Linux Enterprise Server for SAP 12-SP1
                    SUSE Linux Enterprise Server 12-SP1-LTSS
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for the Linux Kernel 3.12.74-60_64_48 fixes several issues.

   The following security issues were fixed:

   - CVE-2017-15868: The bnep_add_connection function in
     net/bluetooth/bnep/core.c in did not ensure that an l2cap socket is
     available, which allowed local users to gain privileges via a crafted
     application (bsc#1071471).


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 12-SP1:

      zypper in -t patch SUSE-SLE-SAP-12-SP1-2018-174=1

   - SUSE Linux Enterprise Server 12-SP1-LTSS:

      zypper in -t patch SUSE-SLE-SERVER-12-SP1-2018-174=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Server for SAP 12-SP1 (x86_64):

      kgraft-patch-3_12_74-60_64_48-default-7-2.1
      kgraft-patch-3_12_74-60_64_48-xen-7-2.1

   - SUSE Linux Enterprise Server 12-SP1-LTSS (x86_64):

      kgraft-patch-3_12_74-60_64_48-default-7-2.1
      kgraft-patch-3_12_74-60_64_48-xen-7-2.1


References:

   https://www.suse.com/security/cve/CVE-2017-15868.html
   https://www.suse.com/security/cve/CVE-2017-16939.html
   https://bugzilla.suse.com/1069708
   https://bugzilla.suse.com/1071471


- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBWm66pIx+lLeg9Ub1AQjBzg/+JmBUKK2bSZihdM+TxOAR9GfLSxk0bu47
h6FczdI0nR0YcGTBxxWfF//wxbhkOt5rZaOt92C2IxrQY+rtbqRuwJR2S0g+ARFc
xUQwl4vrvNpwdRokFSOU5tIt52W5EgSjZNLTuuPzrSjk3jZ/Sk6M87AMA8mHgIGp
k8ghGFvb7+Djk8qCE//5NMCZUitkoIIgmMqauDitf4m9o+WBqAjPfzZS7crHw9Co
odcD7SVbxyYBhI9cDYOdZc5k/dzaqLMkWzpc1afby9sqck4J2uipcuwNtSVrmz3O
xydayDul3na0Am8ILds7v+fR1NApdCE8ZapvgrIPKhWlEm3hrobE3lSnJcc3umpx
dF1ReNtwD8WLOUVpOsmDINHdpBVWswA462Y7As3kDFXLxjDuPd1TCr/w5xD581N+
989Grb4K1GT5Rq8ci3bNuzqnPB0eveN6p3RNyIDtF2TrbhDhb1u+szFHtQniS5eU
sxOnf8YIN+G1/Z6c0dV/AhPurqTmTMXUPaJQycKgJ3vVK92IinDgLNvdp9wHcBCo
tl7iRuaXu9m1FFfktjb2Gwbk89gugSxw2gOfFcnuTJ5t0Bo9efIqB1wpXMiLTl8p
EgioKcwvqBDWWSFlfx6p++3Oo+fUU2dhoH5w4cUYQzIH4nFwTOrtql5WBpyljS06
MQZme2dVnW4=
=2vFU
-----END PGP SIGNATURE-----

« Back to bulletins